> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Object's Transcript

> This API returns the transcript of a specific conversation (object).<br> Data includes information about the conversation (objectId), customer, the channel, sub-channel.<br> Note: The transcript field includes the conversation transcript with an external hyperlink to the Object (conversation) .<br>Required path params are the **Stream (channel) Id** and **Object (conversation) Id** - Stream Id could be encrypted or not.   </br></br>(GET) /streams/STREAM_ID/objects/OBJECT_ID/transcript  <br> <br><b>Example:</b> <br>https://api.commbox.io/streams/532/objects/293854/transcript<br>

## OpenAPI

````json GET /streams/{STREAM_ID}/objects/{OBJECT_ID}/transcript
{
  "openapi": "3.0.3",
  "info": {
    "title": "CommBox API",
    "x-logo": {
      "url": "https://www.commbox.io/logo/commbox_logo_large.png"
    },
    "version": "2.07",
    "termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
    "contact": {
      "name": "commbox",
      "url": "https://www.commbox.io",
      "email": "contactus@commbox.io"
    }
  },
  "servers": [
    {
      "url": "https://api.commbox.io/",
      "description": "Production server"
    }
  ],
  "paths": {
    "/streams/{STREAM_ID}/objects/{OBJECT_ID}/transcript": {
      "get": {
        "tags": [
          "Objects"
        ],
        "summary": "Get Object's Transcript",
        "description": "This API returns the transcript of a specific conversation (object).<br> Data includes information about the conversation (objectId), customer, the channel, sub-channel.<br> Note: The transcript field includes the conversation transcript with an external hyperlink to the Object (conversation) .<br>Required path params are the **Stream (channel) Id** and **Object (conversation) Id** - Stream Id could be encrypted or not.   </br></br>(GET) /streams/STREAM_ID/objects/OBJECT_ID/transcript  <br> <br><b>Example:</b> <br>https://api.commbox.io/streams/532/objects/293854/transcript<br>",
        "operationId": "Get_Object_Transcript",
        "parameters": [
          {
            "name": "STREAM_ID",
            "in": "path",
            "description": "Stream Id is a CommBox generated number for the channel.",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/STREAM_ID/schema"
            }
          },
          {
            "name": "OBJECT_ID",
            "in": "path",
            "description": "Object Id is a CommBox generated number for the conversation.",
            "required": true,
            "schema": {
              "$ref": "#/components/parameters/OBJECT_ID/schema"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation successful",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": 200
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation successful"
                    },
                    "response_time": {
                      "type": "string",
                      "example": "2024-03-19T10:45:41.6038344Z"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "oneOf": [
                          {
                            "type": "object",
                            "properties": {
                              "objectId": {
                                "description": "A CommBox generated number for the conversation",
                                "type": "integer",
                                "example": 378015
                              },
                              "streamid": {
                                "description": "A CommBox generated number for the channel – This will be the unencrypted format of the channel Id.",
                                "type": "integer",
                                "example": 17558
                              },
                              "substreamid": {
                                "description": "A CommBox generated number for the subchannel. A Sub-stream is not required when calling an API.",
                                "type": "integer",
                                "example": 0
                              },
                              "trasncript": {
                                "description": "<br>trasncript of the conversation.",
                                "type": "string",
                                "example": "\\n[2/29/2024 12:20:25 PM] \\nBot : \\nTEST!@$$%^&*()}{\\\":<>?🙁🙁🙁🙁 6_312aac6109.jpg \\n[2/29/2024 12:20:30 PM] \\nJohn Doe: \\nhi \\n[2/29/2024 12:21:05 PM] \\nJohn Doe: \\nAttachments: \\nmashu_mashu_251a989981_25a7e7f517.png \\n[2/29/2024 12:21:22 PM] \\nRan Itzhaki: \\nok \\n[2/29/2024 12:21:29 PM] \\nBot : \\nResolved \\nWispp Object Id: 378015 \\nCommbox Ticket Link: https://qawispp.wispp.com/widget/object/378015"
                              },
                              "user": {
                                "type": "object",
                                "properties": {
                                  "id": {
                                    "type": "integer",
                                    "example": 537385
                                  },
                                  "uniqueId": {
                                    "type": "string",
                                    "example": 537385
                                  },
                                  "phone1": {
                                    "description": "As appears in the Customer Info section. System adds country code.",
                                    "type": "string",
                                    "example": 972505445875
                                  },
                                  "phone2": {
                                    "type": "string",
                                    "example": ""
                                  },
                                  "email": {
                                    "type": "string",
                                    "example": "test115@gmail.com"
                                  },
                                  "firstName": {
                                    "type": "string",
                                    "example": "John"
                                  },
                                  "lastName": {
                                    "type": "string",
                                    "example": "Doe"
                                  },
                                  "gender": {
                                    "type": "string",
                                    "example": "Male"
                                  },
                                  "numberIdentities": {
                                    "type": "integer",
                                    "example": 3
                                  },
                                  "locale": {
                                    "type": "string",
                                    "example": "en_US"
                                  },
                                  "birthday": {
                                    "type": "string",
                                    "example": "01/01/1980"
                                  },
                                  "remarks": {
                                    "type": "string",
                                    "example": null
                                  }
                                }
                              }
                            }
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - The request could not be understood by the server. Incoming parameters might not be valid",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400
                    },
                    "description": {
                      "type": "string",
                      "example": "Bad Request"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - The supplied credentials, if any, are not sufficient to access the resource",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 401
                    },
                    "description": {
                      "type": "string",
                      "example": "Unauthorized access"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found - The requested resource is not found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 404
                    },
                    "description": {
                      "type": "string",
                      "example": "Not found"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests - Too many requests have been made in a short period of time (Throttling)",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 429
                    },
                    "description": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error - The server could not return the representation due to an internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 500
                    },
                    "description": {
                      "type": "string",
                      "example": "Operation failed"
                    },
                    "response_time": {
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                },
                "example": {
                  "status": 500,
                  "description": "Operation failed",
                  "response_time": "2025-04-15T07:24:52.956691Z"
                }
              }
            }
          },
          "501": {
            "description": "Not Implemented - The requested operation is not supported"
          }
        }
      }
    }
  }
}
````

